VSTGUI: Animator Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
List of all members
Animator Class Reference
New classes » Version 4.0

Animation runner. More...

`#include <animator.h>`

Inheritance diagram for Animator:

## Public Member Functions
Adding and removing Animations
void | addAnimation (CView *view, IdStringPtr name, IAnimationTarget *target, ITimingFunction *timingFunction, CBaseObject *notificationObject)
| adds an animation.
void | addAnimation (CView *view, IdStringPtr name, IAnimationTarget *target, ITimingFunction *timingFunction, DoneFunction notification=nullptr, bool notifyOnCancel=false)
| adds an animation.
void | removeAnimation (CView *view, IdStringPtr name)
| removes an animation.
void | removeAnimations (CView *view)
| removes all animations for view
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Detailed Description

Animation runner.

## Member Function Documentation

## ◆ addAnimation() [1/2]

void addAnimation | ( | CView * | view,
|  | IdStringPtr | name,
|  | IAnimationTarget * | target,
|  | ITimingFunction * | timingFunction,
|  | CBaseObject * | notificationObject )

adds an animation.

Animation and timingFunction is now owned by the animator. An already running animation for view with name will be canceled. If a notificationObject is supplied, it will be notified when the animation has finished

See also
  FinishedMessage.

## ◆ addAnimation() [2/2]

void addAnimation | ( | CView * | view,
|  | IdStringPtr | name,
|  | IAnimationTarget * | target,
|  | ITimingFunction * | timingFunction,
|  | DoneFunction | notification = nullptr,
|  | bool | notifyOnCancel = false )

adds an animation.

Animation and timingFunction is now owned by the animator. An already running animation for view with name will be canceled. The notification function will be called when the animation has finished or on cancellation of the animation if notifyOnCancel is true (new in 4.11)

## ◆ removeAnimation()

void removeAnimation | ( | CView * | view,
|  | IdStringPtr | name )

removes an animation.

If animation has the IReference interface forget() will be called otherwise it is deleted. The same will be done with the timingFunction.

## ◆ removeAnimations()

void removeAnimations | ( | CView * | view | ) |

removes all animations for view

The documentation for this class was generated from the following files:

- animator.h
- animator.cpp